package com.xynet.marketing.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xynet.marketing.utils.collections.map.JMap;

import java.util.List;
import java.util.Map;

/**
 * 服务商接口服务
 * @author hechunping
 * @date 2025/1/17
 */
public interface ProviderService {
    /**
     * 对象查询
     * @param param
     * @return
     */
    Map<String,Object> obj(JMap<String,Object> param);

    /**
     * 新增或修改
     * @param param
     * @return
     */
    void saveOrUpdate(JMap<String, Object> param);

    /**
     * 列表查询
     * @param param
     * @return
     */
    List<Map<String,Object>> list(JMap<String,Object> param);

    /**
     * 分页查询
     * @param param
     * @return
     */
    Page<Map<String, Object>> page(JMap<String, Object> param);
}
