package com.xynet.marketing.utils.redis.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "spring.redis")
public class RedisConfig {

    private String host;

    private Integer port;

    private String password;

    private cluster cluster;

    @Data
    public static class cluster {

        private List<String> nodes;

    }

}
